import { AnyAction } from "./Action";
import { ActionFormat } from "./format/ActionFormat";
export declare class ActionRegistry<RUN_STATE> {
    readonly format: ActionFormat;
    readonly doneAction: AnyAction<RUN_STATE>;
    private readonly actions;
    constructor({ actions, doneAction, format, }: {
        actions: AnyAction<RUN_STATE>[];
        doneAction?: AnyAction<RUN_STATE>;
        format: ActionFormat;
    });
    register(action: AnyAction<RUN_STATE>): void;
    getAction(type: string): AnyAction<RUN_STATE>;
    getAvailableActionInstructions(): string;
    private get availableActionTypesMessage();
    get actionTypes(): string[];
    describeActions(): string;
}
