"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.done = void 0;
const zod_1 = __importDefault(require("zod"));
const NoopStep_1 = require("../step/NoopStep");
const done = ({ id = "done", description = "Indicate that you are done with the task.", inputExample = {
    result: "{result of the task}",
}, } = {}) => ({
    type: "custom-step",
    id,
    description,
    inputSchema: zod_1.default.object({
        result: zod_1.default.string(),
    }),
    inputExample,
    outputSchema: zod_1.default.object({}),
    createStep: async ({ input: { result }, run }) => {
        return new NoopStep_1.NoopStep({
            type: id,
            run,
            summary: result,
            isDoneStep: true,
        });
    },
});
exports.done = done;
//# sourceMappingURL=done.js.map