import { Loop } from "../step/Loop";
import { Step } from "../step/Step";
import { StepResult } from "../step/StepResult";
import { EmbedCall } from "./EmbedCall";
import { GenerateCall } from "./GenerateCall";
import { RunController } from "./controller/RunController";
import { RunObserver } from "./observer/RunObserver";
export type PrimitiveRecord = Record<string, string | boolean | number | null>;
export declare class Run<RUN_STATE> {
    private readonly observer?;
    private readonly nextId;
    readonly controller: RunController<RUN_STATE>;
    readonly state: RUN_STATE;
    readonly recordedCalls: Array<GenerateCall | EmbedCall>;
    root: Step<RUN_STATE> | undefined;
    constructor({ controller, observer, initialState, }: {
        controller: RunController<RUN_STATE>;
        observer?: RunObserver<RUN_STATE>;
        initialState: RUN_STATE;
    });
    generateId({ type }: {
        type: string;
    }): string;
    checkCancel(): {
        shouldCancel: false;
    } | {
        shouldCancel: true;
        reason?: string | undefined;
    };
    private logError;
    onLoopIterationStarted({ loop }: {
        loop: Loop<RUN_STATE>;
    }): void;
    onLoopIterationFinished({ loop }: {
        loop: Loop<RUN_STATE>;
    }): void;
    onStepExecutionStarted({ step }: {
        step: Step<RUN_STATE>;
    }): void;
    onStepExecutionFinished({ step, result, }: {
        step: Step<RUN_STATE>;
        result: StepResult;
    }): void;
    onStart(): void;
    onFinish({ result }: {
        result: StepResult;
    }): void;
    onStepGenerationStarted(): void;
    onStepGenerationFinished({ generatedText, step, }: {
        generatedText: string;
        step: Step<RUN_STATE>;
    }): void;
    recordCall(call: GenerateCall | EmbedCall): void;
}
