"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.calculateRunCostInMillicent = void 0;
const calculateOpenAICallCostInMillicent_1 = require("../provider/openai/cost/calculateOpenAICallCostInMillicent");
const calculateRunCostInMillicent = async ({ run, }) => {
    const callCostsInMillicent = run.recordedCalls.map((call) => {
        if (call.success && call.metadata.model.vendor === "openai") {
            return (0, calculateOpenAICallCostInMillicent_1.calculateOpenAICallCostInMillicent)(call);
        }
        return undefined;
    });
    return callCostsInMillicent.reduce((sum, cost) => sum + (cost ?? 0), 0);
};
exports.calculateRunCostInMillicent = calculateRunCostInMillicent;
//# sourceMappingURL=calculateRunCostInMillicent.js.map