"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runAgent = void 0;
const maxSteps_1 = require("./controller/maxSteps");
const Run_1 = require("./Run");
const runAgent = async ({ agent, observer, controller = (0, maxSteps_1.maxSteps)(100), properties, }) => {
    const run = new Run_1.Run({
        controller,
        observer,
        initialState: properties,
    });
    const rootStep = await agent(run);
    run.root = rootStep;
    run.onStart();
    const result = await rootStep.execute();
    run.onFinish({ result });
};
exports.runAgent = runAgent;
//# sourceMappingURL=runAgent.js.map