"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.pdfToText = void 0;
async function pdfToText(data) {
    // only load when needed (otherwise this can cause node canvas setup issues when you don't need PDFs):
    const PdfJs = await Promise.resolve().then(() => __importStar(require("pdfjs-dist/legacy/build/pdf")));
    const pdf = await PdfJs.getDocument({
        data,
        useSystemFonts: true, // https://github.com/mozilla/pdf.js/issues/4244#issuecomment-1479534301
    }).promise;
    const pageTexts = [];
    for (let i = 0; i < pdf.numPages; i++) {
        const page = await pdf.getPage(i + 1);
        const pageContent = await page.getTextContent();
        pageTexts.push(pageContent.items
            // limit to TextItem, extract str:
            .filter((item) => item.str != null)
            .map((item) => item.str)
            .join(" "));
    }
    // reduce whitespace to single space
    return pageTexts.join("\n").replace(/\s+/g, " ");
}
exports.pdfToText = pdfToText;
pdfToText.asFunction = () => pdfToText;
//# sourceMappingURL=pdfToText.js.map