"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.concatChatPrompts = void 0;
function concatChatPrompts(...prompts) {
    return async (input) => {
        const messages = [];
        for (const prompt of prompts) {
            const promptMessages = await prompt(input);
            messages.push(...promptMessages);
        }
        return messages;
    };
}
exports.concatChatPrompts = concatChatPrompts;
//# sourceMappingURL=concatChatPrompts.js.map