"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractChatPrompt = exports.extractAndExcludeChatPrompt = void 0;
const extractAndExcludeChatPrompt = ({ excludeKeyword }) => async ({ text, topic }) => [
    {
        role: "user",
        content: `## TOPIC\n${topic}`,
    },
    {
        role: "system",
        content: `## TASK
Extract and write down information from the content below that is directly relevant for the topic above.
Only include information that is directly relevant for the topic.
Say "${excludeKeyword}" if there is no relevant information in the content.`,
    },
    {
        role: "user",
        content: `## CONTENT\n${text}`,
    },
];
exports.extractAndExcludeChatPrompt = extractAndExcludeChatPrompt;
const extractChatPrompt = () => async ({ text, topic }) => [
    {
        role: "user",
        content: `## TOPIC\n${topic}`,
    },
    {
        role: "system",
        content: `## ROLE
You are an expert at extracting information.
You need to extract and keep all the information on the topic above topic from the text below.
Only include information that is directly relevant for the topic.`,
    },
    {
        role: "user",
        content: `## TEXT\n${text}`,
    },
];
exports.extractChatPrompt = extractChatPrompt;
//# sourceMappingURL=extractPrompt.js.map