import { OpenAIChatMessage } from "../provider/openai/api/OpenAIChatCompletion";
import { FormatSectionFunction } from "./FormatSectionFunction";
import { ChatPrompt, TextPrompt } from "./Prompt";
import { Section } from "./Section";
export declare const sectionsTextPrompt: <INPUT>({ sectionSeparator, format, getSections, }: {
    sectionSeparator?: string | undefined;
    format?: FormatSectionFunction | undefined;
    getSections: (input: INPUT) => PromiseLike<Array<Section>>;
}) => TextPrompt<INPUT>;
export declare const sectionsChatPrompt: <INPUT>({ role, sectionSeparator, format, getSections, }: {
    role: OpenAIChatMessage["role"];
    sectionSeparator?: string | undefined;
    format?: FormatSectionFunction | undefined;
    getSections: (input: INPUT) => PromiseLike<Array<Section>>;
}) => ChatPrompt<INPUT>;
