import zod from "zod";
export declare const OpenAIChatCompletionSchema: zod.ZodObject<{
    id: zod.ZodString;
    object: zod.ZodLiteral<"chat.completion">;
    created: zod.ZodNumber;
    model: zod.ZodString;
    choices: zod.ZodArray<zod.ZodObject<{
        message: zod.ZodObject<{
            role: zod.ZodLiteral<"assistant">;
            content: zod.ZodString;
        }, "strip", zod.ZodTypeAny, {
            content: string;
            role: "assistant";
        }, {
            content: string;
            role: "assistant";
        }>;
        index: zod.ZodNumber;
        logprobs: zod.ZodNullable<zod.ZodAny>;
        finish_reason: zod.ZodString;
    }, "strip", zod.ZodTypeAny, {
        index: number;
        message: {
            content: string;
            role: "assistant";
        };
        finish_reason: string;
        logprobs?: any;
    }, {
        index: number;
        message: {
            content: string;
            role: "assistant";
        };
        finish_reason: string;
        logprobs?: any;
    }>, "many">;
    usage: zod.ZodObject<{
        prompt_tokens: zod.ZodNumber;
        completion_tokens: zod.ZodNumber;
        total_tokens: zod.ZodNumber;
    }, "strip", zod.ZodTypeAny, {
        prompt_tokens: number;
        completion_tokens: number;
        total_tokens: number;
    }, {
        prompt_tokens: number;
        completion_tokens: number;
        total_tokens: number;
    }>;
}, "strip", zod.ZodTypeAny, {
    object: "chat.completion";
    id: string;
    created: number;
    model: string;
    choices: {
        index: number;
        message: {
            content: string;
            role: "assistant";
        };
        finish_reason: string;
        logprobs?: any;
    }[];
    usage: {
        prompt_tokens: number;
        completion_tokens: number;
        total_tokens: number;
    };
}, {
    object: "chat.completion";
    id: string;
    created: number;
    model: string;
    choices: {
        index: number;
        message: {
            content: string;
            role: "assistant";
        };
        finish_reason: string;
        logprobs?: any;
    }[];
    usage: {
        prompt_tokens: number;
        completion_tokens: number;
        total_tokens: number;
    };
}>;
export type OpenAIChatCompletion = zod.infer<typeof OpenAIChatCompletionSchema>;
export type OpenAIChatMessage = {
    role: "user" | "assistant" | "system";
    content: string;
};
export type OpenAIChatCompletionModel = "gpt-4" | "gpt-3.5-turbo";
