"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OpenAIChatCompletionSchema = void 0;
const zod_1 = __importDefault(require("zod"));
exports.OpenAIChatCompletionSchema = zod_1.default.object({
    id: zod_1.default.string(),
    object: zod_1.default.literal("chat.completion"),
    created: zod_1.default.number(),
    model: zod_1.default.string(),
    choices: zod_1.default.array(zod_1.default.object({
        message: zod_1.default.object({
            role: zod_1.default.literal("assistant"),
            content: zod_1.default.string(),
        }),
        index: zod_1.default.number(),
        logprobs: zod_1.default.nullable(zod_1.default.any()),
        finish_reason: zod_1.default.string(),
    })),
    usage: zod_1.default.object({
        prompt_tokens: zod_1.default.number(),
        completion_tokens: zod_1.default.number(),
        total_tokens: zod_1.default.number(),
    }),
});
//# sourceMappingURL=OpenAIChatCompletion.js.map