import zod from "zod";
export declare const OpenAIEmbeddingSchema: zod.ZodObject<{
    object: zod.ZodLiteral<"list">;
    data: zod.ZodArray<zod.ZodObject<{
        object: zod.ZodLiteral<"embedding">;
        embedding: zod.ZodArray<zod.ZodNumber, "many">;
        index: zod.ZodNumber;
    }, "strip", zod.ZodTypeAny, {
        object: "embedding";
        index: number;
        embedding: number[];
    }, {
        object: "embedding";
        index: number;
        embedding: number[];
    }>, "many">;
    model: zod.ZodString;
    usage: zod.ZodObject<{
        prompt_tokens: zod.ZodNumber;
        total_tokens: zod.ZodNumber;
    }, "strip", zod.ZodTypeAny, {
        prompt_tokens: number;
        total_tokens: number;
    }, {
        prompt_tokens: number;
        total_tokens: number;
    }>;
}, "strip", zod.ZodTypeAny, {
    object: "list";
    data: {
        object: "embedding";
        index: number;
        embedding: number[];
    }[];
    model: string;
    usage: {
        prompt_tokens: number;
        total_tokens: number;
    };
}, {
    object: "list";
    data: {
        object: "embedding";
        index: number;
        embedding: number[];
    }[];
    model: string;
    usage: {
        prompt_tokens: number;
        total_tokens: number;
    };
}>;
export type OpenAIEmbedding = zod.infer<typeof OpenAIEmbeddingSchema>;
export type OpenAIEmbeddingModel = "text-embedding-ada-002";
