import zod from "zod";
export declare const OpenAIErrorDataSchema: zod.ZodObject<{
    error: zod.ZodObject<{
        message: zod.ZodString;
        type: zod.ZodString;
        param: zod.ZodNullable<zod.ZodAny>;
        code: zod.ZodString;
    }, "strip", zod.ZodTypeAny, {
        type: string;
        code: string;
        message: string;
        param?: any;
    }, {
        type: string;
        code: string;
        message: string;
        param?: any;
    }>;
}, "strip", zod.ZodTypeAny, {
    error: {
        type: string;
        code: string;
        message: string;
        param?: any;
    };
}, {
    error: {
        type: string;
        code: string;
        message: string;
        param?: any;
    };
}>;
export type OpenAIErrorData = zod.infer<typeof OpenAIErrorDataSchema>;
export declare class OpenAIError extends Error {
    readonly code: OpenAIErrorData["error"]["code"];
    readonly type: OpenAIErrorData["error"]["type"];
    constructor({ error: { message, code, type } }: OpenAIErrorData);
}
export declare const withOpenAIErrorHandler: <T>(fn: () => PromiseLike<T>) => Promise<T>;
