import zod from "zod";
export declare const OpenAITextCompletionSchema: zod.ZodObject<{
    id: zod.ZodString;
    object: zod.ZodLiteral<"text_completion">;
    created: zod.ZodNumber;
    model: zod.ZodString;
    choices: zod.ZodArray<zod.ZodObject<{
        text: zod.ZodString;
        index: zod.ZodNumber;
        logprobs: zod.ZodNullable<zod.ZodAny>;
        finish_reason: zod.ZodString;
    }, "strip", zod.ZodTypeAny, {
        index: number;
        text: string;
        finish_reason: string;
        logprobs?: any;
    }, {
        index: number;
        text: string;
        finish_reason: string;
        logprobs?: any;
    }>, "many">;
    usage: zod.ZodObject<{
        prompt_tokens: zod.ZodNumber;
        completion_tokens: zod.ZodNumber;
        total_tokens: zod.ZodNumber;
    }, "strip", zod.ZodTypeAny, {
        prompt_tokens: number;
        completion_tokens: number;
        total_tokens: number;
    }, {
        prompt_tokens: number;
        completion_tokens: number;
        total_tokens: number;
    }>;
}, "strip", zod.ZodTypeAny, {
    object: "text_completion";
    id: string;
    created: number;
    model: string;
    choices: {
        index: number;
        text: string;
        finish_reason: string;
        logprobs?: any;
    }[];
    usage: {
        prompt_tokens: number;
        completion_tokens: number;
        total_tokens: number;
    };
}, {
    object: "text_completion";
    id: string;
    created: number;
    model: string;
    choices: {
        index: number;
        text: string;
        finish_reason: string;
        logprobs?: any;
    }[];
    usage: {
        prompt_tokens: number;
        completion_tokens: number;
        total_tokens: number;
    };
}>;
export type OpenAITextCompletion = zod.infer<typeof OpenAITextCompletionSchema>;
export type OpenAITextCompletionModel = "text-davinci-003" | "text-davinci-002" | "code-davinci-002" | "code-davinci-002" | "text-curie-001" | "text-babbage-001" | "text-ada-001" | "davinci" | "curie" | "babbage" | "ada";
