"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateChatCompletion = void 0;
const axios_1 = __importDefault(require("axios"));
const OpenAIChatCompletion_1 = require("./OpenAIChatCompletion");
const OpenAIError_1 = require("./OpenAIError");
async function generateChatCompletion({ baseUrl = "https://api.openai.com/v1", apiKey, model, messages, n, temperature, maxTokens, presencePenalty, frequencyPenalty, }) {
    return (0, OpenAIError_1.withOpenAIErrorHandler)(async () => {
        const response = await axios_1.default.post(`${baseUrl}/chat/completions`, JSON.stringify({
            model,
            messages,
            n,
            temperature,
            max_tokens: maxTokens,
            presence_penalty: presencePenalty,
            frequency_penalty: frequencyPenalty,
        }), {
            headers: {
                "Content-Type": "application/json",
                Authorization: `Bearer ${apiKey}`,
            },
        });
        return OpenAIChatCompletion_1.OpenAIChatCompletionSchema.parse(response.data);
    });
}
exports.generateChatCompletion = generateChatCompletion;
//# sourceMappingURL=generateChatCompletion.js.map