"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateEmbedding = void 0;
const axios_1 = __importDefault(require("axios"));
const OpenAIEmbedding_1 = require("./OpenAIEmbedding");
async function generateEmbedding({ baseUrl = "https://api.openai.com/v1", apiKey, model, input, }) {
    const response = await axios_1.default.post(`${baseUrl}/embeddings`, JSON.stringify({
        model,
        input,
    }), {
        headers: {
            "Content-Type": "application/json",
            Authorization: `Bearer ${apiKey}`,
        },
    });
    return OpenAIEmbedding_1.OpenAIEmbeddingSchema.parse(response.data);
}
exports.generateEmbedding = generateEmbedding;
//# sourceMappingURL=generateEmbedding.js.map