"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateTextCompletion = void 0;
const axios_1 = __importDefault(require("axios"));
const OpenAIError_1 = require("./OpenAIError");
const OpenAITextCompletion_1 = require("./OpenAITextCompletion");
async function generateTextCompletion({ baseUrl = "https://api.openai.com/v1", apiKey, prompt, model, n, temperature, maxTokens, presencePenalty, frequencyPenalty, }) {
    return (0, OpenAIError_1.withOpenAIErrorHandler)(async () => {
        const response = await axios_1.default.post(`${baseUrl}/completions`, JSON.stringify({
            model,
            prompt,
            n,
            temperature,
            max_tokens: maxTokens,
            presence_penalty: presencePenalty,
            frequency_penalty: frequencyPenalty,
        }), {
            headers: {
                "Content-Type": "application/json",
                Authorization: `Bearer ${apiKey}`,
            },
        });
        return OpenAITextCompletion_1.OpenAITextCompletionSchema.parse(response.data);
    });
}
exports.generateTextCompletion = generateTextCompletion;
//# sourceMappingURL=generateTextCompletion.js.map