"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.chatModel = void 0;
const generateChatCompletion_1 = require("./api/generateChatCompletion");
const chatModel = ({ baseUrl, apiKey, model, temperature = 0, maxTokens, }) => ({
    vendor: "openai",
    name: model,
    generate: async (input) => (0, generateChatCompletion_1.generateChatCompletion)({
        baseUrl,
        apiKey,
        messages: input,
        model,
        temperature,
        maxTokens,
    }),
    extractOutput: async (rawOutput) => {
        return rawOutput.choices[0].message.content;
    },
});
exports.chatModel = chatModel;
//# sourceMappingURL=chatModel.js.map