"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.embeddingModel = void 0;
const generateEmbedding_1 = require("./api/generateEmbedding");
const embeddingModel = ({ baseUrl, apiKey, model = "text-embedding-ada-002", }) => ({
    vendor: "openai",
    name: model,
    embed: async (input) => (0, generateEmbedding_1.generateEmbedding)({
        baseUrl,
        apiKey,
        input,
        model,
    }),
    extractEmbedding: async (rawOutput) => rawOutput.data[0].embedding,
});
exports.embeddingModel = embeddingModel;
//# sourceMappingURL=embeddingModel.js.map