"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.textModel = void 0;
const generateTextCompletion_1 = require("./api/generateTextCompletion");
const textModel = ({ baseUrl, apiKey, model, temperature = 0, maxTokens, }) => ({
    vendor: "openai",
    name: model,
    generate: async (input) => (0, generateTextCompletion_1.generateTextCompletion)({
        baseUrl,
        apiKey,
        prompt: input,
        model,
        temperature,
        maxTokens,
    }),
    extractOutput: async (rawOutput) => {
        return rawOutput.choices[0].text;
    },
});
exports.textModel = textModel;
//# sourceMappingURL=textModel.js.map