import { ServerAgentSpecification } from "./ServerAgentSpecification";
export declare class ServerAgent<ENVIRONMENT extends Record<string, string>, INPUT, RUN_STATE extends INPUT, DATA> {
    static create<ENVIRONMENT extends Record<string, string>, INPUT, RUN_STATE extends INPUT, DATA>({ specification, }: {
        specification: ServerAgentSpecification<ENVIRONMENT, INPUT, RUN_STATE, DATA>;
    }): Promise<ServerAgent<ENVIRONMENT, INPUT, RUN_STATE, DATA>>;
    private readonly environment;
    private readonly createRootStep;
    private readonly runs;
    private readonly specification;
    private constructor();
    createRun({ input }: {
        input: INPUT;
    }): Promise<string>;
    startRunWithoutWaiting({ runId }: {
        runId: string;
    }): void;
    cancelRun({ runId, reason }: {
        runId: string;
        reason?: string;
    }): void;
    getRunState({ runId }: {
        runId: string;
    }): Promise<{
        id: string;
        input: INPUT;
        state: import("../step").StepState;
        data: Awaited<DATA>;
    }>;
}
