"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorStep = void 0;
const Step_1 = require("./Step");
class ErrorStep extends Step_1.Step {
    constructor({ type = "error", run, errorMessage, error, }) {
        super({ type, run });
        this.errorMessage = errorMessage;
        this.error = error;
    }
    async _execute() {
        return {
            type: "failed",
            summary: this.errorMessage ?? this.error?.message ?? "Task failed.",
            error: this.error,
        };
    }
}
exports.ErrorStep = ErrorStep;
//# sourceMappingURL=ErrorStep.js.map