import { Run } from "../agent";
import { Loop } from "./Loop";
import { Step } from "./Step";
import { StepFactory } from "./StepFactory";
export declare const createFixedStepsLoop: <RUN_STATE>({ type, steps: stepFactories, }: {
    type?: string | undefined;
    steps: StepFactory<RUN_STATE>[];
}) => StepFactory<RUN_STATE>;
export declare class FixedStepsLoop<RUN_STATE> extends Loop<RUN_STATE> {
    readonly steps: Array<Step<RUN_STATE>>;
    currentStep: number;
    constructor({ type, run, steps, }: {
        type?: string;
        run: Run<RUN_STATE>;
        steps: Array<Step<RUN_STATE>>;
    });
    protected getNextStep(): Promise<Step<RUN_STATE>>;
    protected hasMoreSteps(): boolean;
}
