"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FixedStepsLoop = exports.createFixedStepsLoop = void 0;
const Loop_1 = require("./Loop");
const createFixedStepsLoop = ({ type, steps: stepFactories, }) => async (run) => {
    const steps = [];
    for (const factory of stepFactories) {
        steps.push(await factory(run));
    }
    return new FixedStepsLoop({ type, run, steps });
};
exports.createFixedStepsLoop = createFixedStepsLoop;
class FixedStepsLoop extends Loop_1.Loop {
    constructor({ type = "loop.fixed-steps", run, steps, }) {
        super({ type, run });
        this.steps = [];
        this.currentStep = 0;
        this.steps = steps;
    }
    async getNextStep() {
        return this.steps[this.currentStep++];
    }
    hasMoreSteps() {
        return this.currentStep < this.steps.length;
    }
}
exports.FixedStepsLoop = FixedStepsLoop;
//# sourceMappingURL=FixedStepsLoop.js.map