import { Run } from "../agent/Run";
import { Step } from "./Step";
import { StepResult } from "./StepResult";
export declare abstract class Loop<RUN_STATE> extends Step<RUN_STATE> {
    readonly completedSteps: Array<Step<RUN_STATE>>;
    constructor({ type, run }: {
        type: string;
        run: Run<RUN_STATE>;
    });
    protected abstract hasMoreSteps(): boolean;
    protected abstract getNextStep(): PromiseLike<Step<RUN_STATE>>;
    protected update({ step, result, }: {
        step: Step<RUN_STATE>;
        result: StepResult & {
            type: "succeeded" | "failed";
        };
    }): Promise<void>;
    protected getResult(): Promise<StepResult>;
    protected _execute(): Promise<StepResult>;
    getStepCount(): number;
}
