"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PromptStep = void 0;
const generateText_1 = require("../text/generate/generateText");
const Step_1 = require("./Step");
class PromptStep extends Step_1.Step {
    constructor({ type = "prompt", run, prompt, model, input, }) {
        super({ type, run });
        this.input = input;
        this.generateText = generateText_1.generateText.asFunction({
            id: `step/${this.id}/generate-text`,
            prompt,
            model,
            processOutput: async (output) => output,
        });
    }
    async _execute() {
        const generatedText = (await this.generateText(this.input, this.run)).trim();
        return {
            type: "succeeded",
            summary: generatedText,
        };
    }
}
exports.PromptStep = PromptStep;
//# sourceMappingURL=PromptStep.js.map