import { Run } from "../agent/Run";
import { RunContext } from "../agent/RunContext";
import { StepResult } from "./StepResult";
import { StepState } from "./StepState";
export declare abstract class Step<RUN_STATE> {
    readonly id: string;
    readonly type: string;
    readonly run: Run<RUN_STATE>;
    state: StepState;
    constructor({ type, run }: {
        type: string;
        run: Run<RUN_STATE>;
    });
    protected abstract _execute(context: RunContext): Promise<StepResult>;
    execute(): Promise<StepResult>;
    isDoneStep(): boolean;
    getStepCount(): number;
}
