import { Run } from "../agent/Run";
import { RunContext } from "../agent/RunContext";
import { Loop } from "./Loop";
import { Step } from "./Step";
import { StepFactory } from "./StepFactory";
import { StepResult } from "./StepResult";
export declare const updateTasksLoop: <RUN_STATE>({ type, initialTasks, generateExecutionStep, updateTaskList, }: {
    type?: string | undefined;
    initialTasks?: string[] | undefined;
    generateExecutionStep: ({}: {
        task: string;
        run: Run<RUN_STATE>;
    }) => Step<RUN_STATE>;
    updateTaskList: updateTaskList<RUN_STATE>;
}) => StepFactory<RUN_STATE>;
export type updateTaskList<RUN_STATE> = (_: {
    runState: RUN_STATE;
    completedTask: string;
    completedTaskResult: string;
    remainingTasks: string[];
}, context: RunContext) => PromiseLike<Array<string>>;
export declare class UpdateTasksLoop<RUN_STATE> extends Loop<RUN_STATE> {
    tasks: Array<string>;
    currentTask: string | undefined;
    private readonly generateExecutionStep;
    private readonly updateTaskList;
    constructor({ type, initialTasks, generateExecutionStep, updateTaskList, run, }: {
        type?: string;
        initialTasks?: string[];
        generateExecutionStep: ({}: {
            task: string;
            run: Run<RUN_STATE>;
        }) => Step<RUN_STATE>;
        updateTaskList: updateTaskList<RUN_STATE>;
        run: Run<RUN_STATE>;
    });
    protected getNextStep(): Promise<Step<RUN_STATE>>;
    protected hasMoreSteps(): boolean;
    protected update({ step, result, }: {
        step: Step<RUN_STATE>;
        result: StepResult & {
            type: "succeeded" | "failed";
        };
    }): Promise<void>;
}
