"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateTasksLoop = exports.updateTasksLoop = void 0;
const Loop_1 = require("./Loop");
const updateTasksLoop = ({ type, initialTasks, generateExecutionStep, updateTaskList, }) => async (run) => new UpdateTasksLoop({
    type,
    initialTasks,
    generateExecutionStep,
    updateTaskList,
    run,
});
exports.updateTasksLoop = updateTasksLoop;
class UpdateTasksLoop extends Loop_1.Loop {
    constructor({ type = "loop.update-tasks", initialTasks = ["Develop a task list."], generateExecutionStep, updateTaskList, run, }) {
        super({ type, run });
        this.tasks = initialTasks;
        this.updateTaskList = updateTaskList;
        this.generateExecutionStep = generateExecutionStep;
    }
    async getNextStep() {
        this.currentTask = this.tasks.shift();
        return this.generateExecutionStep({
            task: this.currentTask,
            run: this.run,
        });
    }
    hasMoreSteps() {
        return this.tasks.length > 0;
    }
    async update({ step, result, }) {
        this.tasks = await this.updateTaskList({
            runState: this.run.state,
            completedTask: this.currentTask,
            completedTaskResult: result.summary,
            remainingTasks: this.tasks,
        }, this.run);
        this.currentTask = undefined;
    }
}
exports.UpdateTasksLoop = UpdateTasksLoop;
//# sourceMappingURL=UpdateTasksLoop.js.map