"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createActionStep = void 0;
const BasicToolStep_1 = require("../tool/BasicToolStep");
const ReflectiveToolStep_1 = require("../tool/ReflectiveToolStep");
async function createActionStep({ action, input, run, }) {
    const actionType = action.type;
    switch (actionType) {
        case "custom-step": {
            return action.createStep({ input, run });
        }
        case "basic-tool": {
            return new BasicToolStep_1.BasicToolStep({
                action,
                input,
                run,
            });
        }
        case "reflective-tool": {
            return new ReflectiveToolStep_1.ReflectiveToolStep({
                action,
                input,
                run,
            });
        }
        default: {
            const unsupportedActionType = actionType;
            throw new Error(`Unsupported action type: ${unsupportedActionType}`);
        }
    }
}
exports.createActionStep = createActionStep;
//# sourceMappingURL=createActionStep.js.map