import { RunContext } from "../agent";
import { EmbedFunction } from "../embedding/EmbedFunction";
export declare class InMemoryTextStore {
    private readonly embed;
    private readonly nextId;
    private readonly texts;
    constructor({ embed }: {
        embed: EmbedFunction<number[]>;
    });
    store({ text }: {
        text: string;
    }, context: RunContext): Promise<{
        id: string;
    }>;
    retrieve({ query, maxResults, similarityThreshold, }: {
        query: string;
        maxResults?: number;
        similarityThreshold: number;
    }, context: RunContext): Promise<{
        id: string;
        text: string;
        similarity: number;
    }[]>;
}
