"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.splitExtractRewrite = void 0;
const splitExtractRewrite = async ({ split, extract, include, rewrite, text, topic, }, context) => {
    const chunks = await split({ text });
    const extractedTexts = [];
    for (const chunk of chunks) {
        const extracted = await extract({ text: chunk, topic }, context);
        if (include(extracted)) {
            extractedTexts.push(extracted);
        }
    }
    return rewrite({ text: extractedTexts.join("\n\n"), topic }, context);
};
exports.splitExtractRewrite = splitExtractRewrite;
exports.splitExtractRewrite.asExtractFunction =
    ({ split, extract, include, rewrite, }) => async ({ text, topic }, context) => (0, exports.splitExtractRewrite)({
        split,
        extract,
        include,
        rewrite,
        text,
        topic,
    }, context);
//# sourceMappingURL=splitExtractRewrite.js.map