import { RunContext } from "../../agent/RunContext";
import { Prompt } from "../../prompt/Prompt";
import { RetryFunction } from "../../util";
import { GeneratorModel } from "./GeneratorModel";
export declare function generate<INPUT, PROMPT_TYPE, RAW_OUTPUT, GENERATED_OUTPUT, OUTPUT>({ id, prompt, input, model, processOutput, retry, }: {
    id?: string | undefined;
    input: INPUT;
    prompt: Prompt<INPUT, PROMPT_TYPE>;
    model: GeneratorModel<PROMPT_TYPE, RAW_OUTPUT, GENERATED_OUTPUT>;
    processOutput: (output: GENERATED_OUTPUT) => PromiseLike<OUTPUT>;
    retry?: RetryFunction;
}, context?: RunContext): Promise<OUTPUT>;
export declare namespace generate {
    var asFunction: <INPUT, PROMPT_TYPE, RAW_OUTPUT, GENERATED_OUTPUT, OUTPUT>({ id, prompt, model, processOutput, retry, }: {
        id?: string | undefined;
        prompt: Prompt<INPUT, PROMPT_TYPE>;
        model: GeneratorModel<PROMPT_TYPE, RAW_OUTPUT, GENERATED_OUTPUT>;
        processOutput: (output: GENERATED_OUTPUT) => PromiseLike<OUTPUT>;
        retry?: RetryFunction | undefined;
    }) => (input: INPUT, context: RunContext) => Promise<OUTPUT>;
}
