import { RunContext } from "../../agent/RunContext";
import { Prompt } from "../../prompt/Prompt";
import { RetryFunction } from "../../util/RetryFunction";
import { GeneratorModel } from "./GeneratorModel";
export declare function generateText<INPUT, PROMPT_TYPE, RAW_OUTPUT>({ id, input, prompt, model, processOutput, retry, }: {
    id?: string | undefined;
    input: INPUT;
    prompt: Prompt<INPUT, PROMPT_TYPE>;
    model: GeneratorModel<PROMPT_TYPE, RAW_OUTPUT, string>;
    processOutput?: (output: string) => PromiseLike<string>;
    retry?: RetryFunction;
}, context?: RunContext): Promise<string>;
export declare namespace generateText {
    var asFunction: <INPUT, PROMPT_TYPE, RAW_OUTPUT>({ id, prompt, model, processOutput, retry, }: {
        id?: string | undefined;
        prompt: Prompt<INPUT, PROMPT_TYPE>;
        model: GeneratorModel<PROMPT_TYPE, RAW_OUTPUT, string>;
        processOutput?: ((output: string) => PromiseLike<string>) | undefined;
        retry?: RetryFunction | undefined;
    }) => (input: INPUT, context: RunContext) => Promise<string>;
}
