"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.splitRecursivelyAtToken = exports.splitRecursivelyAtCharacter = void 0;
function splitRecursivelyImplementation({ maxChunkSize, segments, }) {
    if (segments.length < maxChunkSize) {
        return Array.isArray(segments) ? [segments.join("")] : [segments];
    }
    const half = Math.ceil(segments.length / 2);
    const left = segments.slice(0, half);
    const right = segments.slice(half);
    return [
        ...splitRecursivelyImplementation({
            segments: left,
            maxChunkSize,
        }),
        ...splitRecursivelyImplementation({
            segments: right,
            maxChunkSize,
        }),
    ];
}
const splitRecursivelyAtCharacter = async ({ maxChunkSize, text, }) => splitRecursivelyImplementation({
    maxChunkSize,
    segments: text,
});
exports.splitRecursivelyAtCharacter = splitRecursivelyAtCharacter;
exports.splitRecursivelyAtCharacter.asSplitFunction =
    ({ maxChunkSize }) => async ({ text }) => (0, exports.splitRecursivelyAtCharacter)({ maxChunkSize, text });
const splitRecursivelyAtToken = async ({ tokenizer, maxChunkSize, text, }) => splitRecursivelyImplementation({
    maxChunkSize,
    segments: (await tokenizer.encode(text)).texts,
});
exports.splitRecursivelyAtToken = splitRecursivelyAtToken;
exports.splitRecursivelyAtToken.asSplitFunction =
    ({ tokenizer, maxChunkSize, }) => async ({ text }) => (0, exports.splitRecursivelyAtToken)({
        tokenizer,
        maxChunkSize,
        text,
    });
//# sourceMappingURL=splitRecursively.js.map