"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BasicToolStep = void 0;
const Step_1 = require("../step/Step");
class BasicToolStep extends Step_1.Step {
    constructor({ run, action, input, }) {
        super({ type: action.id, run });
        this.action = action;
        this.input = input;
    }
    async _execute(context) {
        try {
            const { output, summary } = await this.action.execute({
                input: this.input,
                action: this.action,
            }, context);
            return {
                type: "succeeded",
                summary,
                input: this.input,
                output,
            };
        }
        catch (error) {
            return {
                type: "failed",
                summary: error?.message ?? "Task failed.",
                error,
            };
        }
    }
}
exports.BasicToolStep = BasicToolStep;
//# sourceMappingURL=BasicToolStep.js.map