"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.executeRemoteTool = void 0;
const axios_1 = __importDefault(require("axios"));
const executeRemoteTool = ({ baseUrl, }) => async ({ input, action, }) => {
    try {
        const parametersJson = JSON.stringify(input);
        const response = await axios_1.default.post(`${baseUrl}/tool/${action.id}`, // TODO flexible location
        parametersJson, {
            headers: {
                "Content-Type": "application/json",
            },
        });
        const result = response.data; // data is already parsed JSON
        // TODO safely parse + zod validate
        // const resultSchema: zod.Schema<{
        //   summary: string;
        //   output: OUTPUT;
        // }> = zod.object({
        //   summary: zod.string(),
        //   output: action.outputSchema,
        // });
        return result; // TODO remove
    }
    catch (error) {
        // TODO better error handling
        console.error("Error sending command:", error.message);
        if (axios_1.default.isAxiosError(error)) {
            console.error("Axios error details:", error.response?.data, error.response?.status, error.response?.headers);
        }
        return {
            summary: "Error executing command",
            output: error.response?.data,
        };
    }
};
exports.executeRemoteTool = executeRemoteTool;
//# sourceMappingURL=executeRemoteTool.js.map