import { FormatResultFunction } from "../../action/FormatResultFunction";
import { ExecuteBasicToolFunction } from "../../action/ExecuteBasicToolFunction";
import { BasicToolAction } from "../../action";
export type ProgrammableGoogleSearchEngineInput = {
    query: string;
};
export type ProgrammableGoogleSearchEngineOutput = {
    results: Array<{
        title: string;
        link: string;
        snippet: string;
    }>;
};
export declare const programmableGoogleSearchEngineAction: ({ id, description, inputExample, execute, formatResult, }: {
    id?: string | undefined;
    description?: string | undefined;
    inputExample?: ProgrammableGoogleSearchEngineInput | undefined;
    execute: ExecuteBasicToolFunction<ProgrammableGoogleSearchEngineInput, ProgrammableGoogleSearchEngineOutput>;
    formatResult?: FormatResultFunction<ProgrammableGoogleSearchEngineInput, ProgrammableGoogleSearchEngineOutput> | undefined;
}) => BasicToolAction<ProgrammableGoogleSearchEngineInput, ProgrammableGoogleSearchEngineOutput>;
export declare const executeProgrammableGoogleSearchEngineAction: ({ key, cx, maxResults, }: {
    key: string;
    cx: string;
    maxResults?: number | undefined;
}) => ExecuteBasicToolFunction<ProgrammableGoogleSearchEngineInput, ProgrammableGoogleSearchEngineOutput>;
