"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateRunStringProperty = void 0;
const zod_1 = __importDefault(require("zod"));
const updateRunStringProperty = ({ id = "update-run-string-property", description = "Update a stored string value.", inputExample = {
    content: "{new content}",
}, formatResult = ({ summary, output: { content } }) => `## ${summary}\n### New content\n${content}`, property, }) => ({
    type: "reflective-tool",
    id,
    description,
    inputSchema: zod_1.default.object({
        content: zod_1.default.string(),
    }),
    outputSchema: zod_1.default.object({
        content: zod_1.default.string(),
    }),
    inputExample,
    formatResult,
    execute: async ({ input: { content }, run }) => {
        // @ts-expect-error TODO investigate constraint issue
        run.state[property] = content;
        return {
            output: {
                content,
            },
            summary: `Updated ${property}.`,
        };
    },
});
exports.updateRunStringProperty = updateRunStringProperty;
//# sourceMappingURL=UpdateRunStringPropertyTool.js.map