import { Logger } from "pino";
/**
 * Listens for SIGINT and SIGTERM and terminates the process gracefully.
 *
 * This ensures that running requests, database connections and other operations
 * are finished before the process is terminated.
 */
export declare function gracefullyShutdownOnSigTermAndSigInt({ logger, shutdown, }: {
    logger: Logger;
    shutdown: () => Promise<void>;
}): void;
